## pycode-browser 1.0

=== debian/changelog ===
pycode-browser (1:1.0-2) unstable; urgency=medium

  * fixed the dependency for gir1.2-vte

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 28 Jun 2015 21:42:44 +0200

pycode-browser (1:1.0-1) unstable; urgency=medium

  * created a file d/watch to take git tags in account
  * upgraded to the newest upstream version. Changed dependencies.
    Closes: #790189. Closes: #790365
  * fixed d/copyright for a few lintian warnings

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 28 Jun 2015 19:50:38 +0200

pycode-browser (20120614+git+b041dd2-8) unstable; urgency=medium

  * added dependencies on python-vte, python-glade2. Closes: #786583
  * upgraded Standards-version to 3.9.6, compat to 9

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 01 Jun 2015 19:14:01 +0200

pycode-browser (20120614+git+b041dd2-7) unstable; urgency=medium

  * added a new build-dependency: cm-super-minimal. Closes: #751050

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 16 Jun 2014 16:55:52 +0200

pycode-browser (20120614+git+b041dd2-6) unstable; urgency=medium

  * added a build-dependency on texlive-fonts-recommended.
    Closes: #746056
  * updated Standards:Version to 3.9.5

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 01 May 2014 17:50:42 +0200

pycode-browser (20120614+git+b041dd2-5) unstable; urgency=low

  * fixed typos in d/control. Closes: #700763

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 13 Aug 2013 12:07:12 +0200

pycode-browser (20120614+git+b041dd2-4) unstable; urgency=low

  * changed my DEBEMAIL.
  * modified the test used to re-run pdflatex. Closes: #714618
  * updated Standards-Version to 3.9.4

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 26 Jul 2013 22:11:07 +0200

pycode-browser (20120614+git+b041dd2-3) unstable; urgency=low

  * modified the invokation of lyx so it uses a dynamically created
    temporary directory. Closes:#682641

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 25 Jul 2012 14:50:35 +0200

pycode-browser (20120614+git+b041dd2-2) unstable; urgency=low

  * added lyx, texlive-generic-recommended, texlive-latex-recommended
    and texlive-latex-base in build-dependencies. Closes: #680828
  * fixed Makefile. Closes: #680301

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 13 Jul 2012 19:08:14 +0200

pycode-browser (20120614+git+b041dd2-1) unstable; urgency=low

  * Initial release. Closes: #677660
  * fixed a few tiny bugs (# missing in python comments, forgotten
    os.path.join() invokation)

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 15 Jun 2012 21:37:45 +0200

## pycode-browser 1.02+git20181006

=== Makefile ===
DESTDIR=
SHAREDIR=/usr/share/pycode-browser
BINDIR=$(DESTDIR)/usr/bin
APPDIR=$(DESTDIR)/usr/share/applications

all:
	make -C pybooksrc all DESTDIR=$(DESTDIR)

clean:
	rm -f *~
	make -C pybooksrc clean

install:
	mkdir -p $(DESTDIR)$(SHAREDIR)
	cp -a Code gui pycode-browser.py $(DESTDIR)$(SHAREDIR)
	cp pybooksrc/mapy.pdf $(DESTDIR)$(SHAREDIR)/
	find $(DESTDIR)$(SHAREDIR) -type f -exec chmod 466 {} \;
	mkdir $(BINDIR)
	echo "#! /bin/sh" > $(BINDIR)/pycode-browser
	echo "python $(SHAREDIR)/pycode-browser.py" >> $(BINDIR)/pycode-browser
	echo "#! /bin/sh" > $(BINDIR)/pycode-browser-book
	echo "evince $(SHAREDIR)/mapy.pdf" >> $(BINDIR)/pycode-browser-book
	mkdir -p $(APPDIR)
	install -m 644 *.desktop $(APPDIR)

=== pybooksrc/Makefile ===
.SUFFIXES= .lyx .tex .pdf
DESTDIR=

all: mapy.pdf

clean:
	rm -f *~ *.tex *.aux *.log *.pdf *.toc pics/*.eps

install:

%.tex: %.lyx
	tmpHome=$$(mktemp -d); \
	HOME=$${tmpHome} lyx --export latex $<; \
	rm -rf $${tmpHome}

%.pdf: %.tex
	pdflatex $<
	logfile=$$(echo $< | sed 's/tex/log/'); \
	while (grep  Warning $${logfile}| grep -iq run); do \
	  pdflatex $<; \
	done

=== templates/Makefile ===
QT_VERSION?=PyQt4
export QT_VERSION


ifeq ($(QT_VERSION),PyQt5)
  PYUIC = pyuic5
  PYRCC = pyrcc5
  PYLUPDATE = pylupdate5
else ifeq ($(QT_VERSION),PyQt4)
  PYUIC = pyuic4
  PYRCC = pyrcc4
  PYLUPDATE = pylupdate4
else ifeq ($(QT_VERSION),PySide)
  PYUIC = pyside-uic
  PYRCC = pyside-rcc
  PYLUPDATE = pylupdate4
else
  PYUIC = pyuic4
  PYRCC = pyrcc4
  PYLUPDATE = pylupdate4
endif

UI_FILES = $(shell ls *.ui)
UI_COMPILED = $(patsubst %.ui, ui_%.py, $(UI_FILES))
RC_FILES = $(shell ls *.qrc)
RC_COMPILED = $(patsubst %.qrc, %_rc.py, $(RC_FILES))

all: $(UI_COMPILED) $(RC_COMPILED)

clean:
	rm -f $(UI_COMPILED) $(RC_COMPILED)
	rm -rf *.pyc *~ __pycache__

ui_%.py:  %.ui
	$(PYUIC) --from-import $< -o $@

%_rc.py: %.qrc
	$(PYRCC) $< -o $@

.PHONY: all clean

## pycode-browser 1.02

=== debian/changelog ===
pycode-browser (1:1.02-1) unstable; urgency=medium

  * upgraded to the newest upstream version.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 21 Sep 2015 17:08:33 +0200

=== debian/control ===
Source: pycode-browser
Section: education
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 9.0.0), python-all, lyx,
 texlive-latex-base, texlive-generic-recommended,
 texlive-latex-recommended, texlive-fonts-recommended,
 cm-super-minimal
Standards-Version: 3.9.6
Homepage: https://github.com/vimaljoseph/pycode-browser

Package: pycode-browser
Architecture: all
Depends: ${misc:Depends}, evince,
 gir1.2-vte-2.91, gir1.2-gtksource-3.0
Description: environment to teach with Python code snippets
 pycode-browser is part of the project PHOENIX, i. e. Phyiscs with
 Home-made Equipment & Innovative Experiments, developed at Inter 
 University Accelerator Centre, New Delhi. It allows students to browse
 Python source code easily, and to understand what this code means.

## pycode-browser 1.02%2Bgit20171115

=== debian/changelog ===
pycode-browser (1:1.02+git20171115-1) unstable; urgency=medium

  * New upstream release (but no new upstream tag)
  * fixes the build reproducibility issue

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 15 Nov 2017 19:07:26 +0100

## pycode-browser 1.02+git20181006

=== debian/changelog ===
pycode-browser (1:1.02+git20181006-5) unstable; urgency=medium

  * applied Steve Langasek's patch (thanks). Closes: #941545
  
 -- Georges Khaznadar <georgesk@debian.org>  Wed, 02 Oct 2019 16:49:42 +0200

pycode-browser (1:1.02+git20181006-4) unstable; urgency=medium

  * migrated to Python3. Closes: #937407
  * fixed the code in 151 python files.
  * bumped standards-version to 4.3

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Sep 2019 16:25:40 +0200

pycode-browser (1:1.02+git20181006-3) unstable; urgency=medium

  * fixed the typo in d/control, thaks to Thomas Vincent. Closes: #915878

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 06 Jan 2019 20:10:19 +0100

pycode-browser (1:1.02+git20181006-2) unstable; urgency=medium

  * Merged Jelmer Vernooĳ's modifications submitted as a pull request:
    - [JV] Trim trailing whitespace.
    - [JV] Use versioned copyright format URI.

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 29 Nov 2018 18:31:59 +0100

pycode-browser (1:1.02+git20181006-1) unstable; urgency=medium

  * New upstream release (but no new upstream tag)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 06 Oct 2018 12:12:29 +0200

pycode-browser (1:1.02+git20171115-2) unstable; urgency=medium

  * used the patch hinted by Santiago Vila (thanks). Closes: #910387
  * upgraded Standards-Version to 4.2.1, dh level to 11
  * changed priority to "optional"
  * added Vcs-Browser and Vcs-Git fields

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 06 Oct 2018 11:35:42 +0200

=== debian/control ===
Source: pycode-browser
Section: education
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 11.0.0), dh-python, python3,
 lyx,
 texlive-latex-base, texlive-plain-generic,
 texlive-latex-recommended, texlive-fonts-recommended,
 cm-super-minimal
Standards-Version: 4.3.0
Homepage: https://github.com/vimaljoseph/pycode-browser
Vcs-Browser: https://salsa.debian.org/georgesk/pycode-browser
Vcs-Git: https://salsa.debian.org/georgesk/pycode-browser.git

Package: pycode-browser
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, evince,
 gir1.2-vte-2.91, gir1.2-gtksource-3.0
Description: environment to teach with Python code snippets
 pycode-browser is part of the project PHOENIX, i. e. Physics with
 Home-made Equipment & Innovative Experiments, developed at Inter
 University Accelerator Centre, New Delhi. It allows students to browse
 Python source code easily, and to understand what this code means.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3

=== debian/watch ===
version=3

https://github.com/vimaljoseph/pycode-browser/tags \
   /vimaljoseph/pycode-browser/archive/[Vv](.*)\.tar\.gz

## pycode-browser 1.03

=== debian/changelog ===
pycode-browser (1:1.03-3) unstable; urgency=medium

  * upgraded the dependency on gir1.2-gtksource (3 to 4). Closes: #1079422

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 29 Aug 2024 16:22:54 +0200

pycode-browser (1:1.03-2) unstable; urgency=medium

  * modified d/rules to allow two successive builds.
    Closes: #1046919
  * bumped Standards-Version: 4.6.2

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 12 Nov 2023 17:17:39 +0100

pycode-browser (1:1.03-1) unstable; urgency=medium

  * updated the watch file
  * New upstream version 1.03
  * updated debian patches to fit the new version: removed python2to3.patch
    since it was applied upstream
  * bumped debhelper-compat (=13), Standards-Version: 4.6.0
  * added a precompiled PDF file in debian/mapy.pdf, and created the
    file debian/source/include-binaries to explain its rationale.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 31 Jan 2022 19:19:54 +0100

pycode-browser (1:1.02+git20181006-6) unstable; urgency=medium

  * fixed the watch file

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 27 Mar 2021 15:54:13 +0100

=== debian/control ===
Source: pycode-browser
Section: education
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (=13), dh-python, python3,
 lyx,
 texlive-latex-base, texlive-plain-generic,
 texlive-latex-recommended, texlive-fonts-recommended,
 cm-super-minimal
Standards-Version: 4.6.2
Homepage: https://github.com/vimaljoseph/pycode-browser
Vcs-Browser: https://salsa.debian.org/georgesk/pycode-browser
Vcs-Git: https://salsa.debian.org/georgesk/pycode-browser.git

Package: pycode-browser
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 evince,
 gir1.2-vte-2.91,
 gir1.2-gtksource-4,
Description: environment to teach with Python code snippets
 pycode-browser is part of the project PHOENIX, i. e. Physics with
 Home-made Equipment & Innovative Experiments, developed at Inter
 University Accelerator Centre, New Delhi. It allows students to browse
 Python source code easily, and to understand what this code means.

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,17 @@
 
 %:
 	dh $@ --with python3
+
+override_dh_auto_clean:
+	# remove a generated file
+	rm -f pybooksrc/mapy.pdf
+	dh_auto_clean
+
+override_dh_auto_build:
+	# copy the precompiled PDF file since `convert` is
+	# still buggy so that LyX cannot convert files to PDF
+	# without a manual modification of /etc/ImageMagick-6/policy.xml
+	#
+	# see https://stackoverflow.com/questions/52998331/imagemagick-security-policy-pdf-blocking-conversion
+	cp debian/mapy.pdf pybooksrc
+	dh_auto_build

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pycode-browser-$1.tar.gz%" \
   https://github.com/sposh-science/pycode-browser/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz \
   debian uupdate

## pycode-browser 20120614+git+b041dd2

=== debian/control ===
Source: pycode-browser
Section: education
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 8.0.0), python-all, lyx,
 texlive-latex-base, texlive-generic-recommended,
 texlive-latex-recommended, texlive-fonts-recommended,
 cm-super-minimal
Standards-Version: 3.9.5
Homepage: https://github.com/vimaljoseph/pycode-browser

Package: pycode-browser
Architecture: all
Depends: ${misc:Depends}, python-gtksourceview2, evince
Description: environment to teach with Python code snippets
 pycode-browser is part of the project PHOENIX, i. e. Phyiscs with
 Home-made Equipment & Innovative Experiments, developed at Inter 
 University Accelerator Centre, New Delhi. It allows students to browse
 Python source code easily, and to understand what this code means.
